module ActiveAttack
  class PermissionsRequired < ApplicationRecord
    has_many :attack_patterns, :class_name => 'ActiveStix::AttackPattern', through: :permissions_required_attack_pattern

    def self.create_perm(perm)
      permission = find_or_create_by(permission:perm)
      permission
    end

    def convert_to_json
      permission
    end
  end
end
